Bug 70368 - cannot uninstall packages
cannot uninstall packages
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-packages (Show other bugs)
limbo
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-31 16:42 EDT by bastiaan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 04:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bastiaan 2002-07-31 16:42:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
Installed package groups and individual pakages connot be uninstalled. The GUI
does not allow to unselect invidiual packages. It does allow to unselect package
groups but doesn't uninstall the packages in the group.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start redhat-config-packages
2.unselect a package group (e.g. 'network servers')
3. click ('install')

	

Actual Results:  The tool reports '0 packages are queued for install, 0 packages
are queued for removal'.
If one selects 'continue' the tool hangs at 'installing and removing individual
packages' in 'computing package dependencies' at 100%.


Expected Results:  All installed packages in the selected package group should
have been uninstalled.

Additional info:

Maybe the uninstall feature is not implemented yet? 

As a sidenote: having to click on 'install' to 'uninstall' is a bit
'MSWindowesqe'. Besides that it looks quite nice.
Comment 1 Geert Noel 2002-07-31 17:03:46 EDT
It certainly looks nice, but there should also be a possibility to
install/upgrade/uninstall third party packages via this GUI. Maybe it could also
have some kind of integration with up2date?
Comment 2 Jeremy Katz 2002-08-01 04:01:14 EDT
Chaining more into one bug report just makes things more confusing... but to
follow-up on things here --

* Uninstalling didn't quite make it in time for the beta; I committed code to
CVS tonight for that
* Single package installation will be possible via the command-line and we may
add a way to do this via the UI, but more likely just getting mime-type stuff
right so that you can do it from the file manager is the better way to do this
Comment 3 Jay Turner 2002-08-14 15:51:38 EDT
Package removal is looking pretty good with redhat-config-packages-0.11-1.  More
testing would definitely be appreciated.

Note You need to log in before you can comment on or make changes to this bug.